# Generated from dtas-0.21.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name dtas

Name: rubygem-%{gem_name}
Version: 0.21.0
Release: 1%{?dist}
Summary: duct tape audio suite for *nix
License: GPL-3.0+
URL: https://80x24.org/dtas.git/about/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.3
BuildArch: noarch

%description
Free Software command-line tools for audio playback, mastering, and
whatever else related to audio.  dtas follows the worse-is-better
philosophy and acts as duct tape to combine existing command-line tools
for flexibility and ease-of-development.  dtas is currently implemented
in Ruby (and some embedded shell), but may use other languages in the
future.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/dtas-archive
%{_bindir}/dtas-console
%{_bindir}/dtas-ctl
%{_bindir}/dtas-cueedit
%{_bindir}/dtas-enq
%{_bindir}/dtas-mlib
%{_bindir}/dtas-msinkctl
%{_bindir}/dtas-partstats
%{_bindir}/dtas-player
%{_bindir}/dtas-readahead
%{_bindir}/dtas-sinkedit
%{_bindir}/dtas-sourceedit
%{_bindir}/dtas-splitfx
%{_bindir}/dtas-tl
%{_bindir}/dtas-xdelay
%{gem_instdir}/.gitattributes
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/COPYING
%{gem_instdir}/Documentation
%{gem_instdir}/GIT-VERSION-FILE
%{gem_instdir}/GIT-VERSION-GEN
%{gem_instdir}/GNUmakefile
%{gem_instdir}/HACKING
%{gem_instdir}/INSTALL
%{gem_instdir}/TODO
%{gem_instdir}/bin
%{gem_instdir}/dtas.sh
%{gem_libdir}
%{gem_instdir}/man
%{gem_instdir}/script
%{gem_instdir}/setup.rb
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/NEWS
%doc %{gem_instdir}/README
%{gem_instdir}/Rakefile
%{gem_instdir}/dtas-linux.gemspec
%{gem_instdir}/dtas-mpris.gemspec
%{gem_instdir}/dtas.gemspec
%{gem_instdir}/examples
%{gem_instdir}/test

%changelog
* Wed Sep 07 2022 mockbuilder - 0.21.0-1
- Initial package
